﻿using Microsoft.Extensions.Logging;

namespace TestProject.Services
{
    /// <summary>
    /// 테스트 서비스
    /// </summary>
    public class TestService : ITestService
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 로그 기록기
        /// </summary>
        private ILogger<TestService> logger;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - TestService(logger)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="logger">로그 기록기</param>
        public TestService(ILogger<TestService> logger)
        {
            this.logger = logger;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 처리하기 - Process()

        /// <summary>
        /// 처리하기
        /// </summary>
        public void Process()
        {
            this.logger.LogInformation("TEST SERVICE PROCESS");
        }

        #endregion
    }
}